<?php

declare(strict_types=1);

namespace App\Administration\Domain\Exception;

use App\Administration\Domain\Model\SchoolClass\ClassName;
use DomainException;

use function sprintf;

final class ClasseDejaExistanteException extends DomainException
{
    public static function avecNom(ClassName $name): self
    {
        return new self(sprintf(
            'Une classe avec le nom "%s" existe déjà pour cette année scolaire.',
            $name,
        ));
    }
}
